/* MODAL OVERLAY */
.rc-modal{
  position:fixed;
  inset:0;
  background:rgba(0,0,0,0.6);
  display:none;
  align-items:center;
  justify-content:center;
  z-index:9999;
}

/* MODAL BOX */
.rc-modal-content{
  background:#e6fdff;
  width:90%;
  max-width:420px;
  padding:30px;
  text-align:center;
  border-radius:12px;
  border:3px solid red;
  box-shadow:0 0 30px rgba(255,0,0,0.6);
  animation: shake 0.4s;
}

/* ICON */
.rc-icon{
  width:80px;
  height:80px;
  border-radius:50%;
  border:3px solid red;
  display:flex;
  align-items:center;
  justify-content:center;
  font-size:40px;
  color:red;
  margin:15px auto;
}

.rc-title{
  color:red;
  font-weight:700;
  margin-bottom:5px;
}

.rc-text{
  color:#555;
}

/* SHAKE ANIMATION */
@keyframes shake {
  0% { transform: translateX(0); }
  25% { transform: translateX(-8px); }
  50% { transform: translateX(8px); }
  75% { transform: translateX(-6px); }
  100% { transform: translateX(0); }
}
